Package org.spongepowered.asm.launch.platform

## Class CommandLineOptions

- java.lang.Object
- - org.spongepowered.asm.launch.platform.CommandLineOptions

-     public final class CommandLineOptions
      extends java.lang.Object

  Options passed in to Mixin via the command line

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CommandLineOptions` | `defaultArgs()` | Create a CommandLineOptions with default args (read from system property)
    `java.util.List<java.lang.String>` | `getConfigs()` |
    `static CommandLineOptions` | `of​(java.util.List<java.lang.String> configs)` | Create a CommandLineOptions using the supplied list of pre-parsed configs
    `static CommandLineOptions` | `ofArgs​(java.util.List<java.lang.String> args)` | Create a CommandLineOptions using the supplied unparsed argument list.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getConfigs

          public java.util.List<java.lang.String> getConfigs()

    - #### defaultArgs

          public static CommandLineOptions defaultArgs()

      Create a CommandLineOptions with default args (read from system property)
      Returns:
        CommandLineOptions instance

    - #### ofArgs

          public static CommandLineOptions ofArgs​(java.util.List<java.lang.String> args)

      Create a CommandLineOptions using the supplied unparsed argument list. Uses args from system property if
      Parameters:
        `args` - Argument list to parse, can be null
      Returns:
        CommandLineOptions instance

    - #### of

          public static CommandLineOptions of​(java.util.List<java.lang.String> configs)

      Create a CommandLineOptions using the supplied list of pre-parsed configs
      Parameters:
        `configs` - List of configs
      Returns:
        CommandLineOptions instance